--- old/usr/src/cmd/sgs/elfdump/common/gen_struct_layout.c	2015-05-27 19:46:31.431740433 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/gen_struct_layout.c	2015-05-27 19:46:31.443577792 -0400
@@ -198,6 +198,7 @@
 	SCALAR_FIELD(pstatus_t,		pr_projid,	1);
 	SCALAR_FIELD(pstatus_t,		pr_nzomb,	1);
 	SCALAR_FIELD(pstatus_t,		pr_zoneid,	1);
+	SCALAR_FIELD(pstatus_t,		pr_secflags,	0);
 	SCALAR_FIELD(pstatus_t,		pr_lwp,		0);
 
 	END;
@@ -587,6 +588,15 @@
 	END;
 }
 
+static void
+gen_psecflags(void)
+{
+	START(psecflags, psecflags_t);
+	SCALAR_FIELD(psecflags_t, psf_effective, 0);
+	SCALAR_FIELD(psecflags_t, psf_inherit, 0);
+	END;
+}
+
 
 /*ARGSUSED*/
 int
@@ -628,6 +638,7 @@
 	gen_timestruc();
 	gen_utsname();
 	gen_prfdinfo();
+	gen_psecflags();
 
 
 	/*
@@ -656,6 +667,7 @@
 	(void) printf(fmt, "timestruc");
 	(void) printf(fmt, "utsname");
 	(void) printf(fmt, "prfdinfo");
+	(void) printf(fmt, "psecflags");
 	(void) printf("};\n");
 
 	/*
